
# v1.3.1 - 2024-03-02 - Antlers & Horns

## Bugfixes

* #82 - Remove `class: ItemSword` from rulers in preparation for 1.19.4
* #81 - Horn buttons could not be crafted (Thanx, Dana!)

## New Features

* #80 - Bronze armlets are now ground storable

# v1.3.0 - 2024-02-11 - Color Your World

## Bugfixes

* #78 - Merchant bracelet shelf and display case placement was wrong
* #68 - Fix warnings about texture null in bone needle
* #63 - All arm wearables (like tailor Needle Puff) were broken in 1.19

## New Features

* #78 - Merchant bracelet can be stored on ground
* #76 - Add some checkered cloth to Artisan and Clothing traders
* #76 - Clothing trader buys horn buttons
* #75 - Tailors can craft small cloth panels from large cloth panels
* #70 - Add buttons and clasps made from horns and antlers
* #69 - Add horn stitching awls made from antlers
* #49 - Ruler crafting can use graphite ore, too
* #41 - Add horn needles

## Tweaks

* #75 - Cloth panels can be crafted by anyone (If you get the cloth!)

## Compatibility With Other Mods

* #49 - Bricklayers: Crafting metal rulers requires a polishing set

## Compatibility With VS 1.19

* #67 - Make cloth and leather blocks map colors "settlement"

# v1.2.2 - 2024-01-08 - Check It Out

## Bugfixes

* #62 - Checkered cloth blocks could not be crafted
* #61 - Crafting checkered cloth yielded only 1 instead of 2 pieces

## New Features

* #58 - Flax twine can now be stored on ground and in scroll racks

## Tweaks

* #59 - Shell button recipe is shapeless for easier crafting (Thanx nebux!)

# v1.2.1 - 2023-12-10 - Form It

## Tweaks

* #55 - Metal bands can be stored on tool racks
* Tweak button descriptions
* Add crafting description to metal bands

## Bugfixes

* #51 - Button and Clasp mold was not clayformable
* #50 - Update Readme.md with all the new features

## Compatibility With Other Mods

* #53 - Compatibily with Wildcraft Trees (wooden rulers of new wood types)

# v1.2.0 - 2023-12-02 - Stitch It Up

## New Features

* #47 - Tailors can now craft the needle puff
* #46 - Allow bracelets & needlepuff on ground, in shelves and display cases
* #45 - Add chairs made with checkered cloth
* #43 - Sewing kits are now ground storable, better transforms

# v1.1.0 - 2023-11-19 - Lay It Down

## Tweaks And Balancing

* #40 - Needles are now a tool and have durability
* #40 - Crafting a sewing kit needs any needle, which is consumed in the process
* #39 - Vanilla cloth is now ground storable on any flat surface
* #33 - Metal bands, rulers and buttons can be recycled into metal bits
* #32 - More clothing recipes use buttons and clasps, or needles

## New Features

* #38 - Add checkered cloth bundles
* #37 - Add checkered cloth panels
* #37 - Add small colored plain/checkered cloth (for decoration)
* #34 - Add buttons and clasps made from copper
* #31 - Metal buttons can now be cast with a mold
* #27 - Buttons are now ground storable on any flat surface
* #26 - Metal and gem buttons are now shiny or even sparkly
* #25 - Add buttons and clasps made from sea shells
* #15 - Add square colored plain or checkered tablecloths
* #14 - Add chiselable blocks made from colored cloth panels
* #13 - Add panels made from colored cloth

## Translations

* #28 - Add Japanese translation (Thank you, Macoto Hino!)

# v1.0.0 - 2023-11-12 - Bundle up

## Vanilla Tweaks

* Crafting of sewing kits requires a needle
* Crafting of some leather items requires a stitching awl
* Crafting of some clothes requires buttons and clasps, or needles

## New Features

* #12 - Add bone needles for crafting
* #9 - Add metal rulers to teach naughty drifters a lesson
* #8 - Add colored leather blocks
* #7 - Add colored leather panels
* #6 - Add hide panels
* #5 - Add wooden rulers to measure things and fend of naughties
* #4 - Add colored leather bundles (rolls of pre-cut leather)
* #3 - Smith metal thorns for stitching awls
* #2 - Add buttons and clasps
* #1 - Add stitching awls for leatherworking

